## kf6-kcodecs 6.19.0+p24.04+vstable+git20251019.0047

=== CMakeLists.txt ===
--- 
+++ 
@@ -18,7 +18,7 @@
 include(ECMQtDeclareLoggingCategory)
 include(ECMDeprecationSettings)
 
-set(REQUIRED_QT_VERSION 6.7.0)
+set(REQUIRED_QT_VERSION 6.8.0)
 find_package(Qt6Core ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
 
 include(ECMGenerateExportHeader)
