=== debian/control ===
Source: kf6-kcodecs
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               gperf,
               graphviz,
               kde-qdoc-common-dev,
               kf6-extra-cmake-modules,
               pkg-kde-tools-neon,
               qt6-5compat-dev,
               qt6-base-dev,
               qt6-tools-dev
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/frameworks/kcodecs
Vcs-Git: https://invent.kde.org/neon/kf6/kf6-kcodecs.git
Vcs-Browser: https://invent.kde.org/neon/kf6/kf6-kcodecs
Maintainer: Neon CI <neon@kde.org>

Package: kf6-kcodecs
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libkf6codecs-data, libkf6codecs-doc, libkf6codecs6
Description: collection of methods to manipulate strings
 KCodecs provide a collection of methods to manipulate strings
 using various encodings.
 .
 This package contains the translations.

Package: kf6-kcodecs-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: kf6-kcodecs (= ${binary:Version}),
         qt6-5compat-dev,
         qt6-base-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: libkf6codecs-dev
Description: development files for kcodecs
 This package contains development files for building software that uses
 libraries from kcodecs.

Package: libkf6codecs-data
Architecture: all
Depends: kf6-kcodecs, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6codecs-doc
Architecture: all
Depends: kf6-kcodecs-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6codecs6
Architecture: all
Depends: kf6-kcodecs, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6codecs-dev
Architecture: all
Depends: kf6-kcodecs-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.
