## kf6-kcodecs 6.19.0+p24.04+vunstable+git20251008.0809

=== debian/changelog ===
kf6-kcodecs (6.19.0+p24.04+vunstable+git20251008.0809-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 08:09:22 +0000
