## kf6-kcodecs 6.19.0+p24.04+vunstable+git20251015.0920

=== debian/changelog ===
kf6-kcodecs (6.19.0+p24.04+vunstable+git20251015.0920-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 09:20:11 +0000
