## kf6-kcodecs 6.19.0+p24.04+vunstable+git20251111.0308

=== debian/changelog ===
kf6-kcodecs (6.19.0+p24.04+vunstable+git20251111.0308-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 11 Nov 2025 03:08:29 +0000
