=== debian/changelog ===
kf6-kcodecs (6.21.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.21.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 12 Dec 2025 11:49:50 +0000

kf6-kcodecs (6.20.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.20.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Nov 2025 16:12:51 +0000
