## kf6-kcodecs 6.21.0+p24.04+vstable+git20251226.0124

=== CMakeLists.txt ===
--- 
+++ 
@@ -40,7 +40,7 @@
 ecm_install_po_files_as_qm(poqm)
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.10.0
+    QT 6.11.0
 )
 
 option(BUILD_FUZZERS "Build KCodecs fuzzers" OFF)
