=== debian/changelog ===
kf6-kcodecs (6.21.0+p24.04+vstable+git20260103.0123-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 01:23:25 +0000
