## kf6-kcodecs 6.22.0+p24.04+vunstable+git20260123.0224

=== debian/changelog ===
kf6-kcodecs (6.22.0+p24.04+vunstable+git20260123.0224-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 23 Jan 2026 02:24:54 +0000
