=== autotests/CMakeLists.txt ===
--- 
+++ 
@@ -24,6 +24,7 @@
     TEST_NAME kencodingproberunittest
     kencodingproberunittest.cpp
     ../src/probers/nsCharSetProber.cpp
+    ../src/probers/nsEscSM.cpp
     ../src/probers/nsLatin1Prober.cpp
     ../src/probers/nsHebrewProber.cpp
     ../src/probers/nsMBCSSM.cpp
